{ pkgs }:

let
  callPackage = pkgs.lib.callPackageWith (pkgs // self);

  self = {
    satosa = callPackage ./satosa.nix { };

    cookies-samesite-compat = callPackage ./cookies-samesite-compat.nix { };
    pyop = callPackage ./pyop.nix { };
    oic = callPackage ./oic.nix { };
    pydantic-settings = callPackage ./pydantic-settings.nix { };
    pydantic = callPackage ./pydantic.nix { };
    pydantic-core = callPackage ./pydantic-core.nix { };
  };
in
self.satosa
