let
  lib = import ../../../lib { };
  publicKeys = lib.getNodeKeys "vault01";
in
lib.setDefault { inherit publicKeys; } [
  "radius-auth_token_file"
  "radius-ca_pem_file"
  "radius-cert_pem_file"
  "radius-dh_pem_file"
  "radius-key_pem_file"
  "radius-private_key_password_file"
  "eatonmon-password_file"
]
